summaryrefslogtreecommitdiff
path: root/check
diff options
context:
space:
mode:
Diffstat (limited to 'check')
-rwxr-xr-xcheck17
1 files changed, 17 insertions, 0 deletions
diff --git a/check b/check
new file mode 100755
index 0000000..ae85315
--- /dev/null
+++ b/check
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -eu
+
+server="$1"
+shift 1
+
+python -m CoverageTestRunner --ignore-missing-from=without-tests .
+yarn \
+ --env "GITANO_SERVER=$server" \
+ --shell=python2 \
+ --shell-arg '' \
+ --shell-library lib.py \
+ --env "PYTHONPATH=$(pwd)" \
+ --env "SSH_AUTH_SOCK=$SSH_AUTH_SOCK" \
+ --cd-datadir \
+ *.yarn "$@"